public class ProcessorTask implements Runnable {

    private String name;

    public ProcessorTask(String taskName) {
        this.name = taskName;
    }

    public void run() {
        System.out.println("Sleeping for 5 seconds for task " + name);
        try {
            Thread.sleep(5000);
            System.out.println("Done sleeping for 5 seconds for task " + name);
        } catch (InterruptedException e) {
            System.out.println(e.getMessage());
        }
    }
}
